Skip to main content
POST
/
users
/
{user_guid}
/
spending_plans
Create spending plan
curl --request POST \
  --url https://int-api.mx.com/users/{user_guid}/spending_plans \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_guid}/spending_plans"

headers = {
    "Accept-Version": "<accept-version>",
    "Authorization": "Basic <encoded-value>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/users/{user_guid}/spending_plans', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "created_at": "2025-02-13T18:08:00+00:00",
  "current_iteration_number": 1,
  "guid": "SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262",
  "updated_at": "2025-02-13T18:09:00+00:00",
  "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
This endpoint creates a new spending_plan for the user.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

Response

200 - application/json

OK

created_at
string | null

The date and time the spending plan was created, represented in ISO 8601 format with a timestamp.

Example:

"2025-02-13T18:08:00+00:00"

current_iteration_number
integer | null

The current active associated spending_plan_iteration number for a given spending_plan.

Example:

1

guid
string | null

The unique identifier for the spending_plan. Defined by MX.

Example:

"SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262"

updated_at
string | null

The date and time the resource was last updated in ISO 8601 format with a timestamp.

For categories, this field will always be null when is_default is true.

Example:

"2025-02-13T18:09:00+00:00"

user_guid
string | null

The unique identifier for the user. Defined by MX.

Example:

"USR-fa7537f3-48aa-a683-a02a-b18940482f54"